com.tibbo.aggregate.common.util

## Class WindowLocation

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.util.WindowLocation

-     public class WindowLocation
      extends AggreGateBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_AUTOHIDABLE`
    `static java.lang.String` | `FIELD_CLOSABLE`
    `static java.lang.String` | `FIELD_ELEMENT_INDEX`
    `static java.lang.String` | `FIELD_FLOATABLE`
    `static java.lang.String` | `FIELD_HEIGHT`
    `static java.lang.String` | `FIELD_INDEX`
    `static java.lang.String` | `FIELD_KEY`
    `static java.lang.String` | `FIELD_MAXIMIZABLE`
    `static java.lang.String` | `FIELD_MOVABLE`
    `static java.lang.String` | `FIELD_RESIZABLE`
    `static java.lang.String` | `FIELD_SHOW_TITLE_BAR`
    `static java.lang.String` | `FIELD_SIDE`
    `static java.lang.String` | `FIELD_STATE`
    `static java.lang.String` | `FIELD_WIDTH`
    `static TableFormat` | `FORMAT`
    `static int` | `SIDE_BOTTOM`
    `static int` | `SIDE_LEFT`
    `static int` | `SIDE_RIGHT`
    `static int` | `SIDE_TOP`
    `static int` | `STATE_DOCKED`
    `static int` | `STATE_FLOATING`
    `static int` | `STATE_SIDE_BAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowLocation()`
    `WindowLocation(DataRecord data)`
    `WindowLocation(java.awt.Dimension size)`
    `WindowLocation(int state)`
    `WindowLocation(int column, java.awt.Dimension size)`
    `WindowLocation(int side, int index)`
    `WindowLocation(int side, int index, java.awt.Dimension size)`
    `WindowLocation(int state, int side, int index)`
    `WindowLocation(int state, int side, int index, java.awt.Dimension size)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyDefaultSize(java.awt.Dimension defaultSize)`
    `java.lang.Integer` | `getElementIndex()`
    `java.lang.Integer` | `getHeight()`
    `int` | `getIndex()`
    `java.lang.String` | `getKey()`
    `int` | `getSide()`
    `int` | `getState()`
    `java.lang.Integer` | `getWidth()`
    `boolean` | `isAutohidable()`
    `boolean` | `isClosable()`
    `boolean` | `isFloatable()`
    `boolean` | `isMaximizable()`
    `boolean` | `isMovable()`
    `boolean` | `isResizable()`
    `boolean` | `isShowTitleBar()`
    `void` | `setAutohidable(boolean autohidable)`
    `void` | `setClosable(boolean closable)`
    `void` | `setElementIndex(java.lang.Integer elementIndex)`
    `void` | `setFloatable(boolean floatable)`
    `void` | `setHeight(java.lang.Integer height)`
    `void` | `setIndex(int index)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setMaximizable(boolean maximizable)`
    `void` | `setMovable(boolean movable)`
    `void` | `setResizable(boolean resizable)`
    `void` | `setShowTitleBar(boolean showTitleBar)`
    `void` | `setSide(int side)`
    `void` | `setState(int state)`
    `void` | `setWidth(java.lang.Integer width)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord, toDataTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_STATE

          public static final java.lang.String FIELD_STATE

      See Also:
        Constant Field Values

    - #### FIELD_SIDE

          public static final java.lang.String FIELD_SIDE

      See Also:
        Constant Field Values

    - #### FIELD_INDEX

          public static final java.lang.String FIELD_INDEX

      See Also:
        Constant Field Values

    - #### FIELD_WIDTH

          public static final java.lang.String FIELD_WIDTH

      See Also:
        Constant Field Values

    - #### FIELD_HEIGHT

          public static final java.lang.String FIELD_HEIGHT

      See Also:
        Constant Field Values

    - #### FIELD_RESIZABLE

          public static final java.lang.String FIELD_RESIZABLE

      See Also:
        Constant Field Values

    - #### FIELD_CLOSABLE

          public static final java.lang.String FIELD_CLOSABLE

      See Also:
        Constant Field Values

    - #### FIELD_MOVABLE

          public static final java.lang.String FIELD_MOVABLE

      See Also:
        Constant Field Values

    - #### FIELD_FLOATABLE

          public static final java.lang.String FIELD_FLOATABLE

      See Also:
        Constant Field Values

    - #### FIELD_MAXIMIZABLE

          public static final java.lang.String FIELD_MAXIMIZABLE

      See Also:
        Constant Field Values

    - #### FIELD_AUTOHIDABLE

          public static final java.lang.String FIELD_AUTOHIDABLE

      See Also:
        Constant Field Values

    - #### FIELD_SHOW_TITLE_BAR

          public static final java.lang.String FIELD_SHOW_TITLE_BAR

      See Also:
        Constant Field Values

    - #### FIELD_KEY

          public static final java.lang.String FIELD_KEY

      See Also:
        Constant Field Values

    - #### FIELD_ELEMENT_INDEX

          public static final java.lang.String FIELD_ELEMENT_INDEX

      See Also:
        Constant Field Values

    - #### STATE_DOCKED

          public static final int STATE_DOCKED

      See Also:
        Constant Field Values

    - #### STATE_FLOATING

          public static final int STATE_FLOATING

      See Also:
        Constant Field Values

    - #### STATE_SIDE_BAR

          public static final int STATE_SIDE_BAR

      See Also:
        Constant Field Values

    - #### SIDE_TOP

          public static final int SIDE_TOP

      See Also:
        Constant Field Values

    - #### SIDE_LEFT

          public static final int SIDE_LEFT

      See Also:
        Constant Field Values

    - #### SIDE_BOTTOM

          public static final int SIDE_BOTTOM

      See Also:
        Constant Field Values

    - #### SIDE_RIGHT

          public static final int SIDE_RIGHT

      See Also:
        Constant Field Values

    - #### FORMAT

          public static TableFormat FORMAT

  - ### Constructor Detail

    - #### WindowLocation

          public WindowLocation()

    - #### WindowLocation

          public WindowLocation(int state)

    - #### WindowLocation

          public WindowLocation(java.awt.Dimension size)

    - #### WindowLocation

          public WindowLocation(int side,
                                int index)

    - #### WindowLocation

          public WindowLocation(int side,
                                int index,
                                java.awt.Dimension size)

    - #### WindowLocation

          public WindowLocation(int column,
                                java.awt.Dimension size)

    - #### WindowLocation

          public WindowLocation(int state,
                                int side,
                                int index)

    - #### WindowLocation

          public WindowLocation(int state,
                                int side,
                                int index,
                                java.awt.Dimension size)

    - #### WindowLocation

          public WindowLocation(DataRecord data)

  - ### Method Detail

    - #### applyDefaultSize

          public void applyDefaultSize(java.awt.Dimension defaultSize)

    - #### getState

          public int getState()

    - #### setState

          public void setState(int state)

    - #### getSide

          public int getSide()

    - #### setSide

          public void setSide(int side)

    - #### getIndex

          public int getIndex()

    - #### setIndex

          public void setIndex(int index)

    - #### getWidth

          public java.lang.Integer getWidth()

    - #### setWidth

          public void setWidth(java.lang.Integer width)

    - #### getHeight

          public java.lang.Integer getHeight()

    - #### setHeight

          public void setHeight(java.lang.Integer height)

    - #### isResizable

          public boolean isResizable()

    - #### setResizable

          public void setResizable(boolean resizable)

    - #### isClosable

          public boolean isClosable()

    - #### setClosable

          public void setClosable(boolean closable)

    - #### isMovable

          public boolean isMovable()

    - #### setMovable

          public void setMovable(boolean movable)

    - #### isFloatable

          public boolean isFloatable()

    - #### setFloatable

          public void setFloatable(boolean floatable)

    - #### isMaximizable

          public boolean isMaximizable()

    - #### setMaximizable

          public void setMaximizable(boolean maximizable)

    - #### isAutohidable

          public boolean isAutohidable()

    - #### setAutohidable

          public void setAutohidable(boolean autohidable)

    - #### isShowTitleBar

          public boolean isShowTitleBar()

    - #### setShowTitleBar

          public void setShowTitleBar(boolean showTitleBar)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey(java.lang.String key)

    - #### getElementIndex

          public java.lang.Integer getElementIndex()

    - #### setElementIndex

          public void setElementIndex(java.lang.Integer elementIndex)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`